package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UpdateFacilityReq {

    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备ID", required = true)
    private String id;
    /**
     * 门店id
     */
    @ApiModelProperty(value = "门店id", required = true)
    private Long shopId;
    /**
     * 设备地址
     */
    @ApiModelProperty(value = "设备地址", required = true)
    private String address;
    /**
     * 设备经度
     */
    @ApiModelProperty(value = "设备经度", required = true)
    private String longitude;
    /**
     * 设备纬度
     */
    @ApiModelProperty(value = "设备纬度", required = true)
    private String latitude;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态StatusEnum，1启用，0禁用", required = true)
    private Integer useStatus;
    /**
     * 设备状态
     */
    @ApiModelProperty(value = "设备状态FacilityStatusEnum，1在线，2离线，3故障", required = true)
    private Integer facilityStatus;

}
