package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AddFacilityReq {

    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号", required = true)
    private String facilityNo;
    /**
     * 门店id
     */
    @ApiModelProperty(value = "门店id", required = true)
    private Long shopId;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称", required = true)
    private String facilityName;
    /**
     * 设备型号id
     */
    @ApiModelProperty(value = "设备型号id", required = true)
    private Long facilityType;
    /**
     * 设备地址
     */
    @ApiModelProperty(value = "设备地址", required = true)
    private String address;
    /**
     * 设备经度
     */
    @ApiModelProperty(value = "设备经度", required = true)
    private String longitude;
    /**
     * 设备纬度
     */
    @ApiModelProperty(value = "设备纬度", required = true)
    private String latitude;

}
